Uploaded image for project: 'Identity Provider'
  1. Identity Provider
  2. IDP-1499 V4 Installer work.
  3. IDP-1416

Unpick old style relying party support

    XMLWordPrintable

    Details

    • Type: Sub-task
    • Status: Closed
    • Priority: Blocker
    • Resolution: Fixed
    • Affects Version/s: 4.0.0
    • Fix Version/s: 4.0.0
    • Component/s: Configuration, Installer
    • Labels:
      None

      Description

      Support for the rp: namespace is gone, but there is more work to do. 

      • The installer did in place upgrades and that has to go
      • Then there are a bunch of beans that are only used in that configuration case
      • Then there may be files which are the same
      • And there may me classes which can be ripped out
      • Finally there may be setters which are unused and could be exploited or removed.
        A related example is the LegacyDecoders used for old style principal connector handling.  These were plugged into a defaultHandler setter and we have had disucssions see IDP-1408

       

      The order above is the suggested order to proceed.

        Attachments

          Activity

            People

            Assignee:
            cantor.2@osu.edu Scott Cantor
            Reporter:
            rdw@iay.org.uk Rod Widdowson
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: